#!/bin/bash

SLEEP_TIME=200000

trap_hl()
{
 printf '\r'
 printf ' '
 printf '\n'
 exit 0
}

trap 'trap_hl' 2 9 15

while true
do
	printf '\'
	printf '\r' 
	usleep $SLEEP_TIME
	printf '|'
	printf '\r' 
	usleep $SLEEP_TIME
	printf '/'
	printf '\r' 
	printf '-'
	printf '\r' 
	usleep $SLEEP_TIME
done

